S3 Put Bucket ACL
  • 31 May 2023
  • Dark
    Light

S3 Put Bucket ACL

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?acl

Sets the ACL on an existing bucket via the x-amz-acl header. Setting the ACL via XML in the request body is not supported.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

HEADERS

x-amz-acl

Required. Allowed values are "private" or "public-read"

PARAMS

acl

Must be present to put bucket ACL

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?acl=' \
--header 'x-amz-acl: public-read'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

Content-Length

0

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?